Agent Assist

Prev Next

Agent Assist

Agent Assist JSON Format

Agent Assist is represented as simple flat JSON objects with the following keys:

Name Type Description
isEnabled bool Whether provide different answer suggestions to agents or not.
languageId string Language options: en, zh-CN, zh-TW.
isCannedMessageIncluded bool Whether canned message is an answer source for the agent assist or not. When true, there will be a new option called "Similar questions" under each public canned message. Default: true.
isKnowledgeBaseIncluded bool Whether knowledge base is an answer source for the agent assist or not. When true, there will be a new option called "Similar questions" under each knowledge base article. Default: false.
isChatbotIncluded bool Whether bot is an answer source for the Agent Assist or not. When true, agent assist will provide agents with the answers pulled from the selected bot intents. Default: false.
highConfidenceScore integer Agent Assist will display suggestions only when the score of the suggested item is higher than this value. Value is beteween 1 and 100. Default: 40.
maximumSuggestionNumber integer The maximum number of suggestions Agent Assist can provide. Available value: 1, 2, 3, 4, 5. Default: 3.
ifAutoAddVisitorQuestionAsSimilarQuestionWhenSelected bool Whether enriching Canned Message and KB article similar questions with Agent Assist suggestions or not.
ifAutoAddUnrecognizedQuestionsToLearning bool Whether adding unrecognized visitor questions to Agent Assist Learning section automatically or not.
textBeforeKBArticle string Texts displayed before the suggested knowledge base article link
chatbotIds array The list of chatbot that agent assist select.
knowledgeBaseIds array List of knowledge bases selected as the agent assist answer source.

Get a single Agent Assist

GET bot/agentAssist

  • Parameters:

Name Type in Required Description
include string query no Allowed values are "chatbot", "knowledgeBase".
  • Response:

Agent Assist

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/agentAssist \ 
    -X 'GET' \ 
    -H 'Authorization: Bearer {access_token}' \ 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true,
  "languageId": "en",
  "isCannedMessageIncluded": true,
  "isKnowledgeBaseIncluded": true,
  "isChatbotIncluded": true,
  "highConfidenceScore": 40,
  "maximumSuggestionNumber": 3,
  "ifAutoAddVisitorQuestionAsSimilarQuestionWhenSelected": true,
  "ifAutoAddUnrecognizedQuestionsToLearning": true,
  "textBeforeKBArticle": "Please refer to the Knowledge Base article ",
  "chatbotIds": [
      "56A2EF45-7D46-EB11-8100-00155D081D0B"
  ],
  "knowledgeBaseIds": [
      "4eA2EF45-7D46-EB11-8100-00155D081D0B"
  ]
} 

Update the Agent Assist

PUT bot/agentAssist

  • Parameters:

Name Type in Required Description
isEnabled bool body yes Whether provide different answer suggestions to agents or not.
languageId string body yes Language options: en, zh-CN, zh-TW.
isCannedMessageIncluded bool body no Whether canned message is an answer source for the agent assist or not. When true, there will be a new option called "Similar questions" under each public canned message. Default: true.
isKnowledgeBaseIncluded bool body no Whether knowledge base is an answer source for the agent assist or not. When true, there will be a new option called "Similar questions" under each knowledge base article. Default: false.
isChatbotIncluded bool body no Whether bot is an answer source for the Agent Assist or not. When true, agent assist will provide agents with the answers pulled from the selected bot intents. Default: false.
highConfidenceScore integer body no Agent Assist will display suggestions only when the score of the suggested item is higher than this value. Value is beteween 1 and 100. Default: 40.
maximumSuggestionNumber integer body no The maximum number of suggestions Agent Assist can provide. Available value: 1, 2, 3, 4, 5. Default: 3.
ifAutoAddVisitorQuestionAsSimilarQuestionWhenSelected bool body no Whether enriching Canned Message and KB article similar questions with Agent Assist suggestions or not.
ifAutoAddUnrecognizedQuestionsToLearning bool body no Whether adding unrecognized visitor questions to Agent Assist Learning section automatically or not.
textBeforeKBArticle string body no Texts displayed before the suggested knowledge base article link
chatbotIds array body no The list of chatbot that agent assist select.
knowledgeBaseIds array body no List of knowledge bases selected as the agent assist answer source.
  • Response:

Agent Assist

  • Example

Sample Request:

curl https://api11.comm100.io/v4/bot/agentAssist \ 
    -X 'PUT' \ 
    -H 'Authorization: Bearer {access_token}' \ 
    -H 'Content-Type: application/json' \ 
    -D '{"isEnabled":true,"languageId":"en","isCannedMessageIncluded":true,"isKnowledgeBaseIncluded":true,"isChatbotIncluded":true,"highConfidenceScore":40,"maximumSuggestionNumber":3,"ifAutoAddVisitorQuestionAsSimilarQuestionWhenSelected":true,"ifAutoAddUnrecognizedQuestionsToLearning":true,"textBeforeKBArticle":"Please refer to the Knowledge Base article "}' 

Response:

HTTP/1.1 200 OK

{
  "isEnabled": true,
  "languageId": "en",
  "isCannedMessageIncluded": true,
  "isKnowledgeBaseIncluded": true,
  "isChatbotIncluded": true,
  "highConfidenceScore": 40,
  "maximumSuggestionNumber": 3,
  "ifAutoAddVisitorQuestionAsSimilarQuestionWhenSelected": true,
  "ifAutoAddUnrecognizedQuestionsToLearning": true,
  "textBeforeKBArticle": "Please refer to the Knowledge Base article ",
  "chatbotIds": [
      "56A2EF45-7D46-EB11-8100-00155D081D0B"
  ],
  "knowledgeBaseIds": [
      "4eA2EF45-7D46-EB11-8100-00155D081D0B"
  ]
} 
Copyright © 2022 Comm100 Network Corporation. All Rights Reserved.